package com.pj.project.app_user_login_log;

import java.util.List;
import com.pj.utils.so.SoMap;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.extension.service.IService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.transaction.annotation.Transactional;
import com.pj.utils.sg.*;

/**
 * Service: app_user_login_log -- 移动端用户登录日志
 * @author qzy 
 */
@Service
@Transactional(rollbackFor = Exception.class)
public class AppUserLoginLogService extends ServiceImpl<AppUserLoginLogMapper, AppUserLoginLog> implements IService<AppUserLoginLog>{

	/** 底层 Mapper 对象 */
	@Autowired
	AppUserLoginLogMapper appUserLoginLogMapper;

	/** 增 */
	void add(AppUserLoginLog t){
		save(t);
	}

	/** 删 */
	void delete(Long id){
		removeById(id);
	}

	/** 改 */
	void update(AppUserLoginLog a){
		updateById(a);

	}

	/** 查 */
	AppUserLoginLog getById(Long id){
		return super.getById(id);
	}

	/** 查集合 - 根据条件（参数为空时代表忽略指定条件） */  
	List<AppUserLoginLog> getList(SoMap so) { 
		return appUserLoginLogMapper.getList(so);	
	}
	

}
